Search Customers by Label

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieves the list of customers tagged to a specific label, searching by exact label name.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/customers/labels/search?q=Gold' \
--header 'Authorization: Basic ******'

Prerequisites

  • Authentication: Basic or O-Auth. For details, see making your first API call.
  • Default access group.
  • Rate limiter controls the number of incoming and outgoing traffic of a network.

Retrieves the list of customers tagged to a specific label, searching by exact label name.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/customers/labels/search?q=Gold' \
--header 'Authorization: Basic ******'

Prerequisites

  • Authentication: Basic or O-Auth. For details, see making your first API call.
  • Default access group.
  • Rate limiter controls the number of incoming and outgoing traffic of a network.
👍

Note

For detailed information about the APIs and for hands-on testing, refer to the API overview documentation and step-by-step guide on making your first API call.

Resource information

URIcustomers/labels/search?q=LabelName
HTTP methodGET
AuthenticationBasic and O-Auth
Pagination supported?Yes
Rate limitDemo and testing clusters: 1000 requests per minute per API key. Other organizations: Rate limit is brand-specific.
Batch supportNo

Query parameters

FieldTypeRequiredDescription
qstringRequiredThe exact name of the label to search by. The search is case-insensitive. For example, Gold returns all customers tagged with the label named Gold.
offsetintegerOptionalNumber of records to skip for pagination. Default value: 0.
limitintegerOptionalMaximum number of records to return. -1 means no limit (fetch all records). Default value: 10.
----------------------------------------------------------
URIcustomers/labels/search?q=LabelName
HTTP methodGET
AuthenticationBasic and O-Auth
Pagination supported?Yes
Batch supportNo

Query parameters

FieldTypeRequiredDescription
qstringRequiredThe exact name of the label to search by. The search is case-insensitive. For example, Gold returns all customers tagged with the label named Gold.
offsetintegerOptionalNumber of records to skip for pagination. Default value: 0.
limitintegerOptionalMaximum number of records to return. -1 means no limit (fetch all records). Default value: 10.

Example response

{
    "pagination": {
        "limit": 10,
        "offset": 0,
        "total": 2
    },
    "data": [
        {
            "userId": 564341182,
            "customerLabels": [
                {
                    "orgId": 100737,
                    "labelId": 17243,
                    "userId": 564341182,
                    "labelName": "real"
                }
            ]
        },
        {
            "userId": 565032200,
            "customerLabels": [
                {
                    "orgId": 100737,
                    "labelId": 17243,
                    "userId": 565032200,
                    "labelName": "real"
                }
            ]
        }
    ],
    "warnings": [],
    "errors": []
}

Response parameters

ParameterTypeDescription
paginationobjectPagination details. The maximum number of records to return per page. Defaults to 10 if not specified.
.limitintegerNumber of records returned per page.
.offsetintegerOffset used for pagination.
.totalintegerTotal number of records available.
dataarrayArray of user data objects.
.userIdintegerUnique identifier of the user.
.customerLabelsarrayLabels assigned to this user.
..orgIdintegerOrganization ID where the label belongs.
..labelIdintegerUnique ID of the label.
..userIdintegerUnique identifier of the user.
..labelNamestringName of the label assigned to the user.
warningsarrayAny warnings returned by the API.
errorsarrayAny errors returned by the API.

Error and warning codes

CodeError numberTypeDescription
ErrorInvalid input parameters. HTTP 400.
ErrorAuthentication failed. HTTP 401.
ErrorOperation not supported for the resource. HTTP 405.
ErrorInternal error. HTTP 500.
ParameterTypeDescription
------------------------------------------------------------------------------------------------------------------------------
paginationobjectPagination details. The maximum number of records to return per page. Defaults to 10 if not specified.
.limitintegerNumber of records returned per page.
.offsetintegerOffset used for pagination.
.totalintegerTotal number of records available.
dataarrayArray of user data objects.
.userIdintegerUnique identifier of the user.
.customerLabelsarrayLabels assigned to this user.
..orgIdintegerOrganization ID where the label belongs.
..labelIdintegerUnique ID of the label.
..userIdintegerUnique identifier of the user.
..labelNamestringName of the label assigned to the user.
warningsarrayAny warnings returned by the API.
errorsarrayAny errors returned by the API.

Error and warning codes

CodeError numberTypeDescription
ErrorInvalid input parameters. HTTP 400.
ErrorAuthentication failed. HTTP 401.
ErrorOperation not supported for the resource. HTTP 405.
ErrorInternal error. HTTP 500.

Query Params
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json